<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KProtocolManager</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KProtocolManager Class Reference</h1>
<code>from PyKDE4.kio import *</code>
<p>



<h2>Detailed Description</h2>


<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj164611372">ProxyAuthMode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Prompt, Automatic&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj164613324">ProxyType</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;NoProxy, ManualProxy, PACProxy, WPADProxy, EnvVarProxy&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179930572">acceptLanguagesHeader</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181422924">autoResume</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj175464300">badProxy</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> proxy)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KIO.CacheControl&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181420364">cacheControl</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181423308">cacheDir</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184725484">canCopyFromFile</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj172089068">canCopyToFile</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186520684">canDeleteRecursive</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186519628">canRenameFromFile</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186522828">canRenameToFile</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188949740">connectTimeout</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj174712780">defaultMimetype</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185750892">defaultUserAgent</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185750380">defaultUserAgent</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> keys)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KProtocolInfo.FileNameUsedForCopying&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186521836">fileNameUsedForCopying</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj174176268">getSystemNameVersionAndMachine</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> systemName, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> systemVersion, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> machine)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KProtocolInfo.Type&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186523564">inputType</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177909868">isSourceProtocol</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177910188">listing</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj173454572">markPartial</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj173455468">maxCacheAge</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj173455084">maxCacheSize</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179943980">minimumKeepSize</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164613068">noProxyFor</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KProtocolInfo.Type&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj174711276">outputType</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179943724">persistentConnections</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179944460">persistentProxyConnection</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177913836">protocolForArchiveMimetype</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> mimeType)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KProtocolManager.ProxyAuthMode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164613932">proxyAuthMode</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj175460716">proxyConfigScript</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188949164">proxyConnectTimeout</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj175462476">proxyFor</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> protocol)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj175461932">proxyForUrl</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KProtocolManager.ProxyType&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164611532">proxyType</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188948908">readTimeout</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179932652">reparseConfiguration</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188950956">responseTimeout</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179932204">slaveProtocol</a> (<a href="../kdecore/KUrl.html">KUrl</a> url, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> proxy)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181597164">supportsDeleting</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184723660">supportsLinking</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179942380">supportsListing</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181598668">supportsMakeDir</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184721996">supportsMoving</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184725292">supportsOpening</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181599116">supportsReading</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181598092">supportsWriting</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj173454508">useCache</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188952012">useProxy</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj172604716">useReverseProxy</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185753100">userAgentForApplication</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> appName, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> appVersion, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> extraInfo=QStringList())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185749996">userAgentForHost</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> hostname)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj179930572"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> acceptLanguagesHeader</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Return Accept-Languages header built up according to user's desktop
language settings.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> Accept-Languages header string
</dd></dl>
</p></div></div><a class="anchor" name="obj181422924"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool autoResume</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns true if partial downloads should be
automatically resumed.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true to resume partial downloads
</dd></dl>
</p></div></div><a class="anchor" name="obj175464300"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> badProxy</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>proxy</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Marks this proxy as bad (down). It will not be used for the
next 30 minutes. (The script may supply an alternate proxy)
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>proxy</em>&nbsp;</td><td> the proxy to mark as bad (as URL)
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj181420364"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KIO.CacheControl cacheControl</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the Cache control directive to be used.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the cache control value
</dd></dl>
</p></div></div><a class="anchor" name="obj181423308"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> cacheDir</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The directory which contains the cache files.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the directory that contains the cache files
</dd></dl>
</p></div></div><a class="anchor" name="obj184725484"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool canCopyFromFile</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can copy files/objects directly from the
filesystem itself. If not, the application will read files from the
filesystem using the file-protocol and pass the data on to the destination
protocol.
</p>
<p>
This corresponds to the "copyFromFile=" field in the protocol description file.
Valid values for this field are "true" or "false" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the protocol can copy files from the local file system
</dd></dl>
</p></div></div><a class="anchor" name="obj172089068"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool canCopyToFile</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can copy files/objects directly to the
filesystem itself. If not, the application will receive the data from
the source protocol and store it in the filesystem using the
file-protocol.
</p>
<p>
This corresponds to the "copyToFile=" field in the protocol description file.
Valid values for this field are "true" or "false" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the protocol can copy files to the local file system
</dd></dl>
</p></div></div><a class="anchor" name="obj186520684"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool canDeleteRecursive</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can recursively delete directories by itself.
If not (the usual case) then KIO will list the directory and delete files
and empty directories one by one.
</p>
<p>
This corresponds to the "deleteRecursive=" field in the protocol description file.
Valid values for this field are "true" or "false" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the protocol can delete non-empty directories by itself.
</dd></dl>
</p></div></div><a class="anchor" name="obj186519628"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool canRenameFromFile</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can rename (i.e. move fast) files/objects
directly from the filesystem itself. If not, the application will read
files from the filesystem using the file-protocol and pass the data on
to the destination protocol.
</p>
<p>
This corresponds to the "renameFromFile=" field in the protocol description file.
Valid values for this field are "true" or "false" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the protocol can rename/move files from the local file system
</dd></dl>
</p></div></div><a class="anchor" name="obj186522828"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool canRenameToFile</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can rename (i.e. move fast) files/objects
directly to the filesystem itself. If not, the application will receive
the data from the source protocol and store it in the filesystem using the
file-protocol.
</p>
<p>
This corresponds to the "renameToFile=" field in the protocol description file.
Valid values for this field are "true" or "false" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the protocol can rename files to the local file system
</dd></dl>
</p></div></div><a class="anchor" name="obj188949740"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int connectTimeout</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the preferred timeout value for remote connections
in seconds.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> timeout value for remote connection in secs.
</dd></dl>
</p></div></div><a class="anchor" name="obj174712780"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> defaultMimetype</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns default mimetype for this URL based on the protocol.
</p>
<p>
This corresponds to the "defaultMimetype=" field in the protocol description file.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the default mime type of the protocol, or null if unknown
</dd></dl>
</p></div></div><a class="anchor" name="obj185750892"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> defaultUserAgent</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the default user-agent string used for web browsing.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the default user-agent string
</dd></dl>
</p></div></div><a class="anchor" name="obj185750380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> defaultUserAgent</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>keys</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the default user-agent value used for web browsing, for example
"Mozilla/5.0 (compatible; Konqueror/4.0; Linux; X11; i686; en_US) KHTML/4.0.1 (like Gecko)"
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>keys</em>&nbsp;</td><td> can be any of the following:
</td></tr> </table></dl>
<p> <li> 'o'	Show OS </li>
<li> 'v'	Show OS Version </li>
<li> 'p'	Show platform (only for X11) </li>
<li> 'm'	Show machine architecture </li>
<li> 'l'	Show language </li>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the default user-agent value with the given <b>keys</b>
</dd></dl>
</p></div></div><a class="anchor" name="obj186521836"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KProtocolInfo.FileNameUsedForCopying fileNameUsedForCopying</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>This setting defines the strategy to use for generating a filename, when
copying a file or directory to another directory. By default the destination
filename is made out of the filename in the source URL. However if the
ioslave displays names that are different from the filename of the URL
(e.g. kio_fonts shows Arial for arial.ttf, or kio_trash shows foo.txt and
uses some internal URL), using Name means that the display name (UDS_NAME)
will be used to as the filename in the destination directory.
</p>
<p>
This corresponds to the "fileNameUsedForCopying=" field in the protocol description file.
Valid values for this field are "Name" or "FromURL" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> how to generate the filename in the destination directory when copying/moving
</dd></dl>
</p></div></div><a class="anchor" name="obj174176268"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool getSystemNameVersionAndMachine</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>systemName</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>systemVersion</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>machine</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj186523564"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KProtocolInfo.Type inputType</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol should be treated as a filesystem
or as a stream when reading from it.
</p>
<p>
This corresponds to the "input=" field in the protocol description file.
Valid values for this field are "filesystem", "stream" or "none" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the input type of the given <b>url</b>
</dd></dl>
</p></div></div><a class="anchor" name="obj177909868"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isSourceProtocol</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can act as a source protocol.
</p>
<p>
A source protocol retrieves data from or stores data to the
location specified by a URL.
A source protocol is the opposite of a filter protocol.
</p>
<p>
The "source=" field in the protocol description file determines
whether a protocol is a source protocol or a filter protocol.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the protocol is a source of data (e.g. http), false if the
protocol is a filter (e.g. gzip)
</dd></dl>
</p></div></div><a class="anchor" name="obj177910188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> listing</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the list of fields this protocol returns when listing
The current possibilities are
Name, Type, Size, Date, AccessDate, Access, Owner, Group, Link, URL, MimeType
as well as Extra1, Extra2 etc. for extra fields (see extraFields).
</p>
<p>
This corresponds to the "listing=" field in the protocol description file.
The supported fields should be separated with ',' in the protocol description file.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> a list of field names
</dd></dl>
</p></div></div><a class="anchor" name="obj173454572"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool markPartial</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns true if partial downloads should be marked
with a ".part" extension.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if partial downloads should get an ".part" extension
</dd></dl>
</p></div></div><a class="anchor" name="obj173455468"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int maxCacheAge</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the maximum age in seconds cached files should be
kept before they are deleted as necessary.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the maximum cache age in seconds
</dd></dl>
</p></div></div><a class="anchor" name="obj173455084"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int maxCacheSize</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the maximum size that can be used for caching.
</p>
<p>
By default this function returns the DEFAULT_MAX_CACHE_SIZE
value as defined in http_slave_defaults.h. Not that the
value returned is in bytes, hence a value of 5120 would mean
5 Kb.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the maximum cache size in bytes
</dd></dl>
</p></div></div><a class="anchor" name="obj179943980"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int minimumKeepSize</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the minimum file size for keeping aborted
downloads.
</p>
<p>
Any data downloaded that does not meet this minimum
requirement will simply be discarded. The default size
is 5 KB.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the minimum keep size for aborted downloads in bytes
</dd></dl>
</p></div></div><a class="anchor" name="obj164613068"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> noProxyFor</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the strings for hosts that should contacted
DIRECTLY, bypassing any proxy settings.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> a list of (comma-separated) hostnames or partial host
names
</dd></dl>
</p></div></div><a class="anchor" name="obj174711276"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KProtocolInfo.Type outputType</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol should be treated as a filesystem
or as a stream when writing to it.
</p>
<p>
This corresponds to the "output=" field in the protocol description file.
Valid values for this field are "filesystem", "stream" or "none" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the output type of the given <b>url</b>
</dd></dl>
</p></div></div><a class="anchor" name="obj179943724"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool persistentConnections</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns true if connections should be persistent
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the connections should be persistent
</dd></dl>
</p></div></div><a class="anchor" name="obj179944460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool persistentProxyConnection</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns true if proxy connections should be persistent.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if proxy connections should be persistent
</dd></dl>
</p></div></div><a class="anchor" name="obj177913836"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> protocolForArchiveMimetype</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>mimeType</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns which protocol handles this mimetype, if it's an archive mimetype.
For instance zip:/ handles application/x-zip.
</p>
<p>
This is defined in the protocol description file using an entry like
"archiveMimetype=application/x-zip"
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>mimetype</em>&nbsp;</td><td> the mimetype to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the protocol that can handle this archive mimetype, for instance "zip".
</dd></dl> <dl class="since" compact><dt><b>Since:</b></dt><dd> 4.1
</dd></dl>
</p></div></div><a class="anchor" name="obj164613932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KProtocolManager.ProxyAuthMode proxyAuthMode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the way proxy authorization should be handled.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the proxy authorization mode
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> ProxyAuthMode
</dd></dl>
</p></div></div><a class="anchor" name="obj175460716"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> proxyConfigScript</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the URL of the script for automatic proxy configuration.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the proxy configuration script
</dd></dl>
</p></div></div><a class="anchor" name="obj188949164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int proxyConnectTimeout</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the preferred timeout value for proxy connections
in seconds.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> timeout value for proxy connection in secs.
</dd></dl>
</p></div></div><a class="anchor" name="obj175462476"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> proxyFor</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>protocol</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the proxy server address for a given
protocol.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>protocol</em>&nbsp;</td><td> the protocol whose proxy info is needed
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the proxy server address if one is available,
or QString() if not available
</dd></dl>
</p></div></div><a class="anchor" name="obj175461932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> proxyForUrl</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the Proxy server address for a given URL
If automatic proxy configuration is configured, KPAC
is used to determine the proxy server, otherwise the return
value of proxyFor for the URL's protocol is used.
If an empty string is returned, the request is to be aborted,
a return value of "DIRECT" requests a direct connection.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the URL whose proxy info is needed
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the proxy server address if one is available
or QString() otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj164611532"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KProtocolManager.ProxyType proxyType</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the type of proxy configuration that is used.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the proxy type
</dd></dl>
</p></div></div><a class="anchor" name="obj188948908"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int readTimeout</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the preferred timeout value for reading from
remote connections in seconds.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> timeout value for remote connection in secs.
</dd></dl>
</p></div></div><a class="anchor" name="obj179932652"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> reparseConfiguration</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Force a reload of the general config file of
io-slaves ( kioslaverc).
</p></div></div><a class="anchor" name="obj188950956"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int responseTimeout</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the preferred response timeout value for
remote connecting in seconds.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> timeout value for remote connection in seconds.
</dd></dl>
</p></div></div><a class="anchor" name="obj179932204"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> slaveProtocol</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>proxy</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Return the protocol to use in order to handle the given <b>url</b>
It's usually the same, except that FTP, when handled by a proxy,
needs an HTTP ioslave.
</p>
<p>
When a proxy is to be used, proxy contains the URL for the proxy.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check

<tr><td></td><td valign="top"><em>proxy</em>&nbsp;</td><td> the URL of the proxy to use
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the slave protocol (e.g. 'http'), can be null if unknown
</dd></dl>
</p></div></div><a class="anchor" name="obj181597164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool supportsDeleting</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can delete files/objects.
</p>
<p>
This corresponds to the "deleting=" field in the protocol description file.
Valid values for this field are "true" or "false" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the protocol supports deleting
</dd></dl>
</p></div></div><a class="anchor" name="obj184723660"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool supportsLinking</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can create links between files/objects.
</p>
<p>
This corresponds to the "linking=" field in the protocol description file.
Valid values for this field are "true" or "false" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the protocol supports linking
</dd></dl>
</p></div></div><a class="anchor" name="obj179942380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool supportsListing</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can list files/objects.
If a protocol supports listing it can be browsed in e.g. file-dialogs
and konqueror.
</p>
<p>
Whether a protocol supports listing is determined by the "listing="
field in the protocol description file.
If the protocol support listing it should list the fields it provides in
this field. If the protocol does not support listing this field should
remain empty (default.)
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the protocol support listing
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> listing()
</dd></dl>
</p></div></div><a class="anchor" name="obj181598668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool supportsMakeDir</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can create directories/folders.
</p>
<p>
This corresponds to the "makedir=" field in the protocol description file.
Valid values for this field are "true" or "false" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the protocol can create directories
</dd></dl>
</p></div></div><a class="anchor" name="obj184721996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool supportsMoving</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can move files/objects between different
locations.
</p>
<p>
This corresponds to the "moving=" field in the protocol description file.
Valid values for this field are "true" or "false" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the protocol supports moving
</dd></dl>
</p></div></div><a class="anchor" name="obj184725292"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool supportsOpening</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can be opened using KIO.open(const KUrl&amp;).
</p>
<p>
This corresponds to the "opening=" field in the protocol description file.
Valid values for this field are "true" or "false" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the protocol supports opening
</dd></dl>
</p></div></div><a class="anchor" name="obj181599116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool supportsReading</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can retrieve data from URLs.
</p>
<p>
This corresponds to the "reading=" field in the protocol description file.
Valid values for this field are "true" or "false" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if it is possible to read from the URL
</dd></dl>
</p></div></div><a class="anchor" name="obj181598092"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool supportsWriting</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether the protocol can store data to URLs.
</p>
<p>
This corresponds to the "writing=" field in the protocol description file.
Valid values for this field are "true" or "false" (default).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the url to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the protocol supports writing
</dd></dl>
</p></div></div><a class="anchor" name="obj173454508"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool useCache</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns true/false to indicate whether a cache
should be used
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true to use the cache, false otherwisea
</dd></dl>
</p></div></div><a class="anchor" name="obj188952012"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool useProxy</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns whether or not the user specified the
use of proxy server to make connections.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true to use a proxy
</dd></dl>
</p></div></div><a class="anchor" name="obj172604716"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool useReverseProxy</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns whether or not the proxy server
lookup should be reversed or not.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true to use a reversed proxy
</dd></dl>
</p></div></div><a class="anchor" name="obj185753100"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> userAgentForApplication</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>appName</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>appVersion</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>extraInfo=QStringList()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the application's user-agent string.
Example string is "KMail/1.9.50 (Windows/6.0; KDE/3.97.1; i686; svn-762186; 2008-01-15)",
where "KMail" is the <b>appName</b> parameter, "1.9.50" is the <b>appVersion</b> parameter,
"Windows/6.0; KDE/3.97.1; i686" part is added automatically and "svn-762186; 2008-01-15"
is provided by <b>extraInfo</b> list.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>appName</em>&nbsp;</td><td> name of the application

<tr><td></td><td valign="top"><em>appVersion</em>&nbsp;</td><td> name of the application

<tr><td></td><td valign="top"><em>extraInfo</em>&nbsp;</td><td> a list of elements that will be appended to the string as extra information
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the application's user-agent string
</dd></dl> </p>
<p>
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.1
</dd></dl>
</p></div></div><a class="anchor" name="obj185749996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> userAgentForHost</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>hostname</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the user-agent string configured for the
specified host.
</p>
<p>
If hostname is not found or is empty (i.e. "" or
QString()) this function will return the default
user agent.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>hostname</em>&nbsp;</td><td> name of the host
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> specified user-agent string
</dd></dl>
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj164611372"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ProxyAuthMode</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Proxy authorization modes.
</p>
<p>
<li> Prompt - Ask for authorization as needed </li>
<li> Automatic - Use auto login as defined in kionetrc files. </li>
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Prompt</em>&nbsp;</td><td><tr><td valign="top"><em>Automatic</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj164613324"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ProxyType</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Types of proxy configuration
<li> NoProxy - No proxy is used </li>
<li> ManualProxy - Proxies are manually configured </li>
<li> PACProxy - A Proxy configuration URL has been given </li>
<li> WPADProxy - A proxy should be automatically discovered </li>
<li> EnvVarProxy - Use the proxy values set through environment variables. </li>
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>NoProxy</em>&nbsp;</td><td><tr><td valign="top"><em>ManualProxy</em>&nbsp;</td><td><tr><td valign="top"><em>PACProxy</em>&nbsp;</td><td><tr><td valign="top"><em>WPADProxy</em>&nbsp;</td><td><tr><td valign="top"><em>EnvVarProxy</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
